from fastapi import APIRouter

from app.api.v1.endpoints import users, questions, quizzes, auth

api_router = APIRouter()

api_router.include_router(auth.router, prefix="/auth", tags=["Authentication"])
api_router.include_router(users.router, prefix="/users", tags=["Users"])
api_router.include_router(questions.router, prefix="/questions", tags=["Questions"])
api_router.include_router(quizzes.router, prefix="/quizzes", tags=["Quizzes"])