from enum import Enum
from typing import Optional

from pydantic import BaseModel


class Testament(str, Enum):
    old = "Old"
    new = "New"


class BibleBookBase(BaseModel):
    name: str
    testament: Testament


class BibleBookCreate(BibleBookBase):
    pass


class BibleBookUpdate(BibleBookBase):
    name: Optional[str] = None
    testament: Optional[Testament] = None


class BibleBookInDBBase(BibleBookBase):
    id: int

    class Config:
        orm_mode = True


class BibleBook(BibleBookInDBBase):
    pass